div {
  display: inline-block;
  width: 100px;
  height: 100px;
  background-color: rgb(255, 72, 72);
  border-radius: 50%;
  &#intake {
    background-color: rgb(59, 165, 252);
  }
  &#sparkplug {
    width: 50px;
    height: 50px;
    background-color: rgb(218, 233, 44);
  }
}

.off {
  filter: saturate(0);
}

#speedInput,
#phaseInput {
  width: 260px;
  display: block;
  position: relative;
  margin-bottom: 20px;
}

div#piston {
  // position: absolute;
  display: block;
  border-radius: 10px;
  width: 260px;
  height: 50px;
  animation-name: piston;
  animation-duration: 1s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

@keyframes piston {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(200px);
  }
}
